Bug 182408 - w3mconfigure checks for /lib/libnsl.* /usr/lib/libnsl.* instead of lib64
w3mconfigure checks for /lib/libnsl.* /usr/lib/libnsl.* instead of lib64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: w3m (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Parag Nemade
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-22 07:45 EST by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-24 02:45:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-02-22 07:45:44 EST
Description of problem:
w3m configure script checks for the presence of /*/lib/libnsl.* and links with
-lnsl if it exists.
On 64bit systems without 32bit libraries this check will fail and you'll end up
without libnsl support in w3m

Version-Release number of selected component (if applicable):
w3m-0.5.1-12.2.1

How reproducible:
Always

Steps to Reproduce:
1. install a 64bit system without 32bit support
2. recompile w3m
3. check package requiremens and diff them with a normal build
  

Actual Results:  
@@ -11,7 +11,6 @@
 libm.so.6()(64bit)
 libm.so.6(GLIBC_2.2.5)(64bit)
 libncurses.so.5()(64bit)
-libnsl.so.1()(64bit)
 libssl.so.6()(64bit)
 libz.so.1()(64bit)
 openssl

Expected Results:  configure should use /usr/lib64 on 64 bit systems

Additional info:
Comment 1 Akira TAGOH 2006-03-06 05:58:15 EST
should be fixed in 0.5.1-13.

Note You need to log in before you can comment on or make changes to this bug.